Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.eepic
Class EepicFormatter

    java.lang.Object
      jpicedt.format.output.latex.LatexFormatter
          jpicedt.format.output.eepic.EepicFormatter

All Implemented Interfaces:
  EepicConstants, FormatterFactory, LatexConstants, PicObjectConstants

public class EepicFormatter
extends LatexFormatter
implements EepicConstants

Formatter for the eepic package.

Nested Class Summary
`class` | `EepicFormatter.DrawingFormatter`

Field Summary

Fields inherited from class jpicedt.format.output.latex.LatexFormatter
`fileWrapperEpilog, fileWrapperProlog`

Fields inherited from interface jpicedt.format.output.eepic.EepicConstants
`DEFAULT_FILE_WRAPPER_EPILOG, DEFAULT_FILE_WRAPPER_PROLOG, DEFAULT_THICK_LINES_MAX_WIDTH, DEFAULT_THIN_LINES_MAX_WIDTH, KEY_FILE_WRAPPER_EPILOG, KEY_FILE_WRAPPER_PROLOG, KEY_THICK_LINES_MAXWIDTH, KEY_THIN_LINES_MAXWIDTH`

Fields inherited from interface jpicedt.format.output.latex.LatexConstants
`CR_LF, DEFAULT_EM_LINE_LENGTH, DEFAULT_MAX_CIRCLE_DIAMETER, DEFAULT_MAX_DISK_DIAMETER, DEFAULT_MAX_EM_CIRCLE_SEGMENT_LENGTH, DEFAULT_MAX_EM_LINE_SLOPE, KEY_EM_LINE_LENGTH, KEY_MAX_CIRCLE_DIAMETER, KEY_MAX_DISK_DIAMETER, KEY_MAX_EM_CIRCLE_SEGMENT_LENGTH, KEY_MAX_EM_LINE_SLOPE, RESCALING_TEX_FUNCTION`

Fields inherited from interface jpicedt.graphic.io.formatter.FormatterFactory
`MAKE_STANDALONE_FILE`

Fields inherited from interface jpicedt.graphic.model.PicObjectConstants
`ARROW_GLOBAL_SCALE_LENGTH, ARROW_GLOBAL_SCALE_WIDTH, ARROW_INSET_SCALE, ARROW_LENGTH_SCALE, ARROW_WIDTH_LINEWIDTH_SCALE, ARROW_WIDTH_MINIMUM_MM, BRACKET_LENGTH_SCALE, CROSSHATCH, CROSSHATCH_FILLED, DASH_OPAQUE, DASH_TRANSPARENT, DASH1, DASH2, DASH3, DASHED, DIMEN, DOT_SEP, DOT_SEP1, DOT_SEP2, DOT_SEP3, DOTTED, DOUBLE_COLOR, DOUBLE_LINE, DOUBLE_SEP, FILL_COLOR, FILL_STYLE, HATCH_ANGLE, HATCH_COLOR, HATCH_SEP, HATCH_WIDTH, HLINES, HLINES_FILLED, INNER, LEFT_ARROW, LINE_COLOR, LINE_STYLE, LINE_WIDTH, MIDDLE, NONE, OUTER, OVER_STRIKE, OVER_STRIKE_COLOR, OVER_STRIKE_WIDTH, POLYDOTS_ANGLE, POLYDOTS_CIRCLE, POLYDOTS_DISK, POLYDOTS_PENTAGON, POLYDOTS_PENTAGON_FILLED, POLYDOTS_PLUS, POLYDOTS_SCALE_H, POLYDOTS_SCALE_V, POLYDOTS_SIZE_LINEWIDTH_SCALE, POLYDOTS_SIZE_MINIMUM_MM, POLYDOTS_SQUARE, POLYDOTS_SQUARE_FILLED, POLYDOTS_STYLE, POLYDOTS_SUPERIMPOSE, POLYDOTS_TRIANGLE, POLYDOTS_TRIANGLE_FILLED, PS_POINT, PST_CUSTOM, RBRACKET_LENGTH_SCALE, RIGHT_ARROW, SHADOW, SHADOW_ANGLE, SHADOW_COLOR, SHADOW_SIZE, SOLID, TBAR_WIDTH_LINEWIDTH_SCALE, TBAR_WIDTH_MINIMUM_MM, TEXT_BOX_CIRCLE, TEXT_BOX_NO_FRAME, TEXT_BOX_OVAL, TEXT_BOX_RECTANGLE, TEXT_FRAME, TEXT_HALIGN_CENTER, TEXT_HALIGN_LEFT, TEXT_HALIGN_RIGHT, TEXT_HOR_ALIGN, TEXT_ROTATION, TEXT_VALIGN_BASELINE, TEXT_VALIGN_BOTTOM, TEXT_VALIGN_CENTER, TEXT_VALIGN_TOP, TEXT_VERT_ALIGN, VLINES, VLINES_FILLED`

Constructor Summary
`EepicFormatter()` Constructor using default properties values

Method Summary
`protected void` | `appendDashLine(StringBuffer buf, PicPoint p1, PicPoint p2, double dash)` Append a \\dashline with the given points and dash value to the given buffer
`void` | `appendThicknessString(StringBuffer buf, Element obj)` Create a string representation of the thickness command for the given PicObjet in the eepic format, and append it to the given StringBuffer.
`static void` | `configure(Properties preferences)` Configure static fields using the given Properties object
`Formatter` | `createFormatter(Drawing d, Object outputConstraint)`
`Formatter` | `createFormatter(Element e)`

Methods inherited from class jpicedt.format.output.latex.LatexFormatter
`arrowToLatexString, getXYNearestSlope, lineToLatexString, lineToLatexString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EepicFormatter

    public EepicFormatter()

  Constructor using default properties values

Method Detail

### configure

    public static void configure(Properties preferences)

  Configure static fields using the given Properties object

### createFormatter

    public Formatter createFormatter(Element e)

  Specified by:
    `createFormatter` in interface `FormatterFactory`
  Overrides:
    `createFormatter` in class `LatexFormatter`
  Returns:
    a Formatter able to format the given Element according to the format of this factory

### createFormatter

    public Formatter createFormatter(Drawing d,
                                     Object outputConstraint)

  Specified by:
    `createFormatter` in interface `FormatterFactory`
  Overrides:
    `createFormatter` in class `LatexFormatter`
  Parameters:
    `outputConstraint` - constraint used by the factory to create a specific Formatter on-the-fly
  Returns:
    a Formatter able to format the given Drawing according to the format of this factory ; this may reliy on calls to `createFormatter(Element e)` on the elements of the drawing, plus creating auxiliary

### appendThicknessString

    public void appendThicknessString(StringBuffer buf,
                                      Element obj)

  Create a string representation of the thickness command for the given PicObjet in the eepic format, and append it to the given StringBuffer.

  Such a command should preceed every object command. This string is CR-terminated.

  Overrides:
    `appendThicknessString` in class `LatexFormatter`
  Since:
    jpicedt 1.3.2

### appendDashLine

    protected void appendDashLine(StringBuffer buf,
                                  PicPoint p1,
                                  PicPoint p2,
                                  double dash)

  Append a \\dashline with the given points and dash value to the given buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org